package com.hzya.frame.sys.viewFiled.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.tableCache.entity.TableCache;
import com.hzya.frame.sys.viewFiled.dao.IViewFiledMapper;
import com.hzya.frame.sys.viewFiled.entity.ViewFiled;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 显示字段表  dao
 * @tableName: sys_view_filed
 * @entityName: ViewFiled
 * @author: gjh
 * @history:1.0
 */
@Service
public class ViewFiledMapperImpl extends MybatisGenericDao<ViewFiled, String> implements IViewFiledMapper {

    @Override
    public ViewFiled entity_get(String id) {

        ViewFiled o = (ViewFiled) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<ViewFiled> entity_list_base(ViewFiled entity) {

        List<ViewFiled> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;

    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(ViewFiled entity) {

        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
        return o;

    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<ViewFiled> entity_list_like(ViewFiled entity) {

        List<ViewFiled> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;

    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<ViewFiled> entity_list_or(ViewFiled entity) {

        List<ViewFiled> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;

    }

    //新增  entity_insert
    @Override
    public Integer entity_insert(ViewFiled entity) {

        Integer o = super.insert(getSqlIdPrifx() + "entity_insert", entity);
        return o;

    }

    //修改  entity_update
    @Override
    public Integer entity_update(ViewFiled entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(ViewFiled entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete", entity);
        return o;

    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(ViewFiled entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
        return o;

    }

    //物理删除
    @Override
    public Integer entity_delete(ViewFiled entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_delete", entity);
        return o;

    }

    @Override
    public List<ViewFiled> query_table_cache(TableCache entity) {

        List<ViewFiled> o = super.query(getSqlIdPrifx() + "query_table_cache", entity);
        return o;
    }
}
